flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From erikdebr...@apache.org
Subject [08/25] git commit: [flex-sdk] [refs/heads/develop] - Added support for FP/AIR 17 and 17 beta
Date Fri, 20 Mar 2015 08:48:29 GMT
Added support for FP/AIR 17 and 17 beta


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/66a30e7c
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/66a30e7c
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/66a30e7c

Branch: refs/heads/develop
Commit: 66a30e7cbd9177fe724fe1533b66c99bf40c47f5
Parents: 4192d6d
Author: Justin Mclean <jmclean@apache.org>
Authored: Fri Mar 20 09:51:19 2015 +1100
Committer: Erik de Bruin <erik@ixsoftware.nl>
Committed: Fri Mar 20 09:46:55 2015 +0100

----------------------------------------------------------------------
 ide/addAIRtoSDK.sh           | 29 ++++++++++++++++++++++-------
 ide/checkAllPlayerGlobals.sh |  5 +++--
 ide/setFlashPlayerVersion.sh | 35 +++++++++++++++++++++++++++--------
 3 files changed, 52 insertions(+), 17 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/66a30e7c/ide/addAIRtoSDK.sh
----------------------------------------------------------------------
diff --git a/ide/addAIRtoSDK.sh b/ide/addAIRtoSDK.sh
index fcafcb3..013f218 100755
--- a/ide/addAIRtoSDK.sh
+++ b/ide/addAIRtoSDK.sh
@@ -30,14 +30,15 @@
 AIR_VERSION="$1"
 OS=`uname`
 
-if [[ "${AIR_VERSION}" != "16.0" && "${AIR_VERSION}" != "15.0" 
+if [[ "${AIR_VERSION}" != "17.0b"
+  && "${AIR_VERSION}" != "17.0" && "${AIR_VERSION}" != "16.0" &&
"${AIR_VERSION}" != "15.0" 
   && "${AIR_VERSION}" != "14.0" && "${AIR_VERSION}" != "13.0" &&
"${AIR_VERSION}" != "4.0" 
   && "${AIR_VERSION}" != "3.9" && "${AIR_VERSION}" != "3.8" && "${AIR_VERSION}"
!= "3.7" 
   && "${AIR_VERSION}" != "3.6" && "${AIR_VERSION}" != "3.5" && "${AIR_VERSION}"
!= "3.4" 
   && "${AIR_VERSION}" != "3.3" && "${AIR_VERSION}" != "3.2" && "${AIR_VERSION}"
!= "3.1" 
   && "${AIR_VERSION}" != "3.0" && "${AIR_VERSION}" != "2.7" && "${AIR_VERSION}"
!= "2.6" ]]
 then
-	echo Unknown version ${AIR_VERISON} of AIR. Versions 2.6, 2.7, 3.0, 3.1, 3.2, 3.3, 3.4,
3.5, 3.6, 3.7, 3.8, 3.9, 4.0, 13.0, 14.0, 15.0 and 16.0 are supported.
+	echo Unknown version ${AIR_VERISON} of AIR. Versions 2.6, 2.7, 3.0, 3.1, 3.2, 3.3, 3.4,
3.5, 3.6, 3.7, 3.8, 3.9, 4.0, 13.0, 14.0, 15.0, 16.0 and 17.0 are supported.
 	exit 1;
 fi
 
@@ -98,11 +99,6 @@ downloadAIR()
    	airTempDir="${IDE_SDK_DIR}/frameworks/temp"
 	mkdir -p "${airTempDir}"
 
-	if [ ${AIR_VERSION} = "16.0" ]
-	then
-		airDownload="http://labsdownload.adobe.com/pub/labs/flashruntimes/air/air16_sdk_sa_mac.tbz2"
-	fi	
-	
     if [[ "${OS}" == "Darwin" ]]
     then
         airDownload="http://airdownload.adobe.com/air/mac/download/${version}/AdobeAIRSDK.tbz2"
@@ -110,6 +106,11 @@ downloadAIR()
         airDownload="http://airdownload.adobe.com/air/lin/download/${version}/AdobeAIRSDK.tbz2"
     fi
     
+    if [ ${AIR_VERSION} = "17.0b" ]
+	then
+		airDownload="http://labsdownload.adobe.com/pub/labs/flashruntimes/air/air17_sdk_sa_mac.tbz2"
+	fi	
+	
 	echo Downloading AIR ${version}
 	curl ${airDownload} > "${airTempDir}/air.tbz2"
 	
@@ -161,6 +162,20 @@ for configFile in "${configFiles[@]}"
 do
 	echo Updating ${configFile}
 
+	# 17.0 beta needs FP 17 and swf version 28
+	if [ ${AIR_VERSION} = "17.0b" ]
+	then
+		updatePlayerVersion 17.0b "${configFile}"
+		updateSWFVersion 28 "${configFile}"
+	fi	
+	
+	# 17.0 needs FP 17 and swf version 28
+	if [ ${AIR_VERSION} = "17.0" ]
+	then
+		updatePlayerVersion 17.0 "${configFile}"
+		updateSWFVersion 28 "${configFile}"
+	fi	
+	
 	# 16.0 needs FP 16 and swf version 27
 	if [ ${AIR_VERSION} = "16.0" ]
 	then

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/66a30e7c/ide/checkAllPlayerGlobals.sh
----------------------------------------------------------------------
diff --git a/ide/checkAllPlayerGlobals.sh b/ide/checkAllPlayerGlobals.sh
index c6e34bd..0f2e36e 100755
--- a/ide/checkAllPlayerGlobals.sh
+++ b/ide/checkAllPlayerGlobals.sh
@@ -124,5 +124,6 @@ downloadPlayerGlobal 12.0 1a7b05bb2c776de38197113e40667126 http://download.macro
 downloadPlayerGlobal 13.0 07db042296350b04ae19e98f64a55ea1 http://download.macromedia.com/get/flashplayer/updaters/13/playerglobal13_0.swc
 downloadPlayerGlobal 14.0 6858e63b1ff8373a1a3c1c60b36c9fc9 http://download.macromedia.com/get/flashplayer/updaters/14/playerglobal14_0.swc
 downloadPlayerGlobal 15.0 4d17b14ef74dd23377a71a3fdbfda8ad http://download.macromedia.com/get/flashplayer/updaters/15/playerglobal15_0.swc
-downloadPlayerGlobal 16.0 793237cdc018c8a8115578664c724b09 http://download.macromedia.com/get/flashplayer/updaters/16/playerglobal16_0.swc
-#downloadPlayerGlobal 16.0 f81045c8a6fdde1ed4952d6622355580 http://labsdownload.adobe.com/pub/labs/flashruntimes/flashplayer/flashplayer16_playerglobal.swc
+downloadPlayerGlobal 16.0 336be79e5b3ed665c98308241381aff3 http://download.macromedia.com/get/flashplayer/updaters/16/playerglobal16_0.swc
+downloadPlayerGlobal 17.0 1a5e68003b5ce6af08f3841bdb2b96ee http://download.macromedia.com/get/flashplayer/updaters/17/playerglobal17_0.swc
+downloadPlayerGlobal 17.0b 2bd048da880ab3b9516bdf1f263a3135 http://labsdownload.adobe.com/pub/labs/flashruntimes/flashplayer/flashplayer17_playerglobal.swc

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/66a30e7c/ide/setFlashPlayerVersion.sh
----------------------------------------------------------------------
diff --git a/ide/setFlashPlayerVersion.sh b/ide/setFlashPlayerVersion.sh
index 5318f91..82aa92c 100755
--- a/ide/setFlashPlayerVersion.sh
+++ b/ide/setFlashPlayerVersion.sh
@@ -99,20 +99,18 @@ determineVersion()
         then 
             FLASH_VERSION="11.1"
         else
-            FLASH_VERSION="16.0"
+            FLASH_VERSION="17.0"
         fi
     fi
     
     if [ ${latest} = "Y" ]
     then
-    	FLASH_VERSION="16.0"
+    	FLASH_VERSION="17.0"
     fi
     
-    # (erikdebruin) How does this work if the beta and release have the same
-    #               major.minor version?
     if [ ${useBeta} = "Y" ]
     then
-    	FLASH_VERSION="16.0"
+    	FLASH_VERSION="17.0b"
     fi
     
     echo "Setting minimum Flash Player version to ${FLASH_VERSION}"
@@ -130,9 +128,10 @@ if [[ "${FLASH_VERSION}" != "10.2" && "${FLASH_VERSION}" != "10.3"
 && "${FLASH_
   && "${FLASH_VERSION}" != "11.4" && "${FLASH_VERSION}" != "11.5" &&
"${FLASH_VERSION}" != "11.6"
   && "${FLASH_VERSION}" != "11.7" && "${FLASH_VERSION}" != "11.8" &&
"${FLASH_VERSION}" != "11.9"
   && "${FLASH_VERSION}" != "12.0" && "${FLASH_VERSION}" != "13.0" &&
"${FLASH_VERSION}" != "14.0"
-  && "${FLASH_VERSION}" != "15.0" && "${FLASH_VERSION}" != "16.0" ]]
+  && "${FLASH_VERSION}" != "15.0" && "${FLASH_VERSION}" != "16.0" &&
"${FLASH_VERSION}" != "17.0"
+  && "${FLASH_VERSION}" != "17.0b" ]]
 then
-	echo Unknown version ${FLASH_VERSION} of Flash Player. Versions 10.2, 10.3, 11.0, 11.1,
11.2, 11.3, 11.4, 11.5, 11.6, 11.7, 11.8, 11.9, 12.0, 13.0, 14.0, 15.0 and 16.0 are supported.
+	echo Unknown version ${FLASH_VERSION} of Flash Player. Versions 10.2, 10.3, 11.0, 11.1,
11.2, 11.3, 11.4, 11.5, 11.6, 11.7, 11.8, 11.9, 12.0, 13.0, 14.0, 15.0, 16.0 and 17.0 are
supported.
 	exit 1;
 fi
 
@@ -152,7 +151,17 @@ if [[ $useMobile = "Y" || $useDesktop = "Y" ]]
 then
 	echo Installing AIR
 	echo
-	
+
+	if [[ $FLASH_VERSION = "17.0b" ]]
+    then
+        ./addAIRtoSDK.sh 17.0b "$IDE_SDK_DIR"
+    fi
+    
+	if [[ $FLASH_VERSION = "17.0" ]]
+    then
+        ./addAIRtoSDK.sh 17.0 "$IDE_SDK_DIR"
+    fi
+    	
 	if [[ $FLASH_VERSION = "16.0" ]]
     then
         ./addAIRtoSDK.sh 16.0 "$IDE_SDK_DIR"
@@ -236,6 +245,16 @@ do
 	
 	updatePlayerVersion "${FLASH_VERSION}" "${configFile}"
 
+	if [ ${FLASH_VERSION} = "17.0b	" ]
+	then
+		updateSWFVersion 28 "${configFile}"
+	fi
+	
+	if [ ${FLASH_VERSION} = "17.0" ]
+	then
+		updateSWFVersion 28 "${configFile}"
+	fi
+	
 	if [ ${FLASH_VERSION} = "16.0" ]
 	then
 		updateSWFVersion 27 "${configFile}"


Mime
View raw message